<template lang="pug">
components(:is="componentIs")
</template>

<script>
import AppSpecialOrders from '~/components/template/AppSpecialOrders'
import AppSchedule from '~/components/template/AppSchedule'
import AppTracking from '~/components/template/AppTracking'
import { mapGetters } from 'vuex'
export default {
    components: {
        AppSchedule,
        AppTracking,
        AppSpecialOrders
    },
    computed: {
        ...mapGetters({
            currentRoute: 'currentRoute',
        }),
        componentIs() {
            if(this.$route.query.type == 'signature') return 'AppSpecialOrders'
            return this.currentRoute.mode === 1 ? 'AppSchedule' : 'AppTracking'
        },
    },
}
</script>
